*** Settings ***
Library    String

Resource     ../Resources/Common.robot
Resource     ../Resources/Page Object/PageAccueil.resource
Resource     ../Resources/Page Object/PageLogin.resource
Resource     ../Resources/Page Object/PageCreateAccount.resource
Test Setup    Common.Démarrer Test            
Test Teardown    Common.Terminer Test
Documentation    Ex1:Un utilisateur ayant créé un compte avec un email et un mot de passe doit pouvoir se connecter avec cet email et ce mot de passe. En cas d'échec d'authentification (email ou mot de passe incorrect), un message d'erreur est affiché


*** Variables ***
@{LISTE_DONNEES_FORM_CREATION}=    ""    123456    jean artin    123456

*** Test Cases ***
Ex1
    
    ${RANDOM_EMAIL}=    Common.Create Random Email
    ${LISTE_DONNEES_FORM_CREATION}[0]=  Set Variable     ${RANDOM_EMAIL} 
    PageCreateAccount.Créer un compte utilisateur avec email    @{LISTE_DONNEES_FORM_CREATION}


